## GalViewEtable

GalViewEtable

## Functions

GalView * | gal_view_etable_new ()
void | gal_view_etable_attach_table ()
void | gal_view_etable_attach_tree ()
void | gal_view_etable_detach ()
ETable * | gal_view_etable_get_table ()
ETree * | gal_view_etable_get_tree ()

## Object Hierarchy

        GObject
        ╰── GalView
            ╰── GalViewEtable

## Description

## Functions

### gal_view_etable_new ()

    GalView *
    gal_view_etable_new (const gchar *title);

Returns a new GalViewEtable. This is primarily for use by GalViewFactoryEtable.

#### Parameters

title | The name of the new view. |

#### Returns

The new GalViewEtable.

### gal_view_etable_attach_table ()

    void
    gal_view_etable_attach_table (GalViewEtable *view,
                                  ETable *table);

### gal_view_etable_attach_tree ()

    void
    gal_view_etable_attach_tree (GalViewEtable *view,
                                 ETree *tree);

### gal_view_etable_detach ()

    void
    gal_view_etable_detach (GalViewEtable *view);

### gal_view_etable_get_table ()

    ETable *
    gal_view_etable_get_table (GalViewEtable *view);

### gal_view_etable_get_tree ()

    ETree *
    gal_view_etable_get_tree (GalViewEtable *view);